## polari 46.0

=== meson_options.txt ===
# SPDX-FileCopyrightText: 2018 Florian Müllner <fmuellner@gnome.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later

option('snapshot',
  type: 'boolean',
  value: false,
  description: 'Build development snapshot'
)

## polari 3.12.2

=== debian/changelog ===
polari (3.12.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in: Fix Vcs-* URL

 -- Laurent Bigonville <bigon@debian.org>  Wed, 06 Aug 2014 18:23:53 +0200

polari (3.12.1-1) unstable; urgency=low

  [ Brandon Snider ]
  * New upstream release.

  [ Laurent Bigonville ]
  * New upstream release (3.12.1)
  * debian/control:
    - Add Vcs-* fields
    - Add missing {build-,}dependencies
    - Bump Standards-Version to 3.9.5 (no further changes)
  * debian/rules:
    - Drop get-fresh-source targets, do not reinvent the wheel
    - Include uploaders.mk file to generate uploaders list
  * debian/copyright: Add licence text

 -- Laurent Bigonville <bigon@debian.org>  Sat, 26 Apr 2014 16:23:10 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: polari
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>, Brandon Snider <brandonjsnider@gmail.com>
Build-Depends: debhelper (>= 9.0.0),
               dh-autoreconf,
               gnome-pkg-tools (>= 0.10),
               intltool (>= 0.50.0),
               libglib2.0-dev (>= 2.39.0),
               libgtk-3-dev (>= 3.11.5),
               libtelepathy-glib-dev,
               gobject-introspection,
               libgirepository1.0-dev,
               desktop-file-utils,
               libxml2-utils,
               gjs
Standards-Version: 3.9.5
Homepage: https://wiki.gnome.org/Apps/Polari
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/polari/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/polari/

Package: polari
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},         
         ${gir:Depends},
         gir1.2-telepathylogger-0.2,
         gir1.2-soup-2.4,
         telepathy-idle,
         telepathy-mission-control-5,
         telepathy-logger,
         gjs
Description: Internet Relay Chat (IRC) client
 Polari is an Internet Relay Chat (IRC) client designed for GNOME 3.

Package: polari-dbg
Section: debug
Priority: extra
Architecture: any
Depends: polari (= ${binary:Version}), ${misc:Depends}
Description: Internet Relay Chat (IRC) client
 Polari is an Internet Relay Chat (IRC) client designed for GNOME 3.
 .
 This package provides Polari's debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND= -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf,gnome,gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-silent-rules \

override_dh_install:
	# Since dh_install -X.la isn't working...
	find -name *.la -delete
	dh_install -X.la

override_dh_auto_install:
	# Make sure everything is installed to the polari package.
	# Can be removed if the -dbg package is not being built.
	dh_auto_install --destdir=debian/polari

override_dh_girepository:
	dh_girepository -X/usr/lib/$(DEB_HOST_MULTIARCH)/polari \
	-ldebian/polari/usr/share/polari/gir-1.0 \
	/usr/lib/$(DEB_HOST_MULTIARCH)/polari/ /usr/lib/$(DEB_HOST_MULTIARCH)/polari/girepository-1.0/

	# Build debug packages.
override_dh_strip:
	dh_strip -ppolari --dbg-package=polari-dbg

override_dh_makeshlibs:
	dh_makeshlibs -Xlibpolari-1.0.so

## polari 3.14.1

=== debian/changelog ===
polari (3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in: Bump Standards-Version to 3.9.6 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 20 Oct 2014 00:15:25 +0200

polari (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Oct 2014 02:53:53 +0200

polari (3.13.92-1) experimental; urgency=medium

  [ Jean Schurger ]
  * New upstream release.
  * debian/control.in:
    - Bumb libgtk-3-dev (>= 3.13.4) build dependency according to configure.ac.

  [ Dmitry Shachnev ]
  * Also require GLib 2.41.0 (per configure.ac).
  * Fix description of polari-dbg package.
  * Install upstream NEWS file correctly.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 19 Sep 2014 23:01:12 +0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: polari
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Brandon Snider <brandonjsnider@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               gnome-pkg-tools (>= 0.10),
               intltool (>= 0.50.0),
               libglib2.0-dev (>= 2.41.0),
               libgtk-3-dev (>= 3.13.4),
               libtelepathy-glib-dev,
               gobject-introspection,
               libgirepository1.0-dev,
               desktop-file-utils,
               libxml2-utils,
               gjs
Standards-Version: 3.9.6
Homepage: https://wiki.gnome.org/Apps/Polari
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/polari/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/polari/

Package: polari
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends},
         gir1.2-telepathylogger-0.2,
         gir1.2-soup-2.4,
         telepathy-idle,
         telepathy-mission-control-5,
         telepathy-logger,
         gjs
Description: Internet Relay Chat (IRC) client
 Polari is an Internet Relay Chat (IRC) client designed for GNOME 3.

Package: polari-dbg
Section: debug
Priority: extra
Architecture: any
Depends: polari (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for Polari IRC client
 Polari is an Internet Relay Chat (IRC) client designed for GNOME 3.
 .
 This package provides Polari's debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,9 @@
 	find -name *.la -delete
 	dh_install -X.la
 
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
+
 override_dh_auto_install:
 	# Make sure everything is installed to the polari package.
 	# Can be removed if the -dbg package is not being built.

## polari 3.16.1

=== debian/changelog ===
polari (3.16.1-2) unstable; urgency=medium

  * Bump dependency on gjs to (>= 1.43.3) for GTK widget templates support.
    (Closes: #789372)

 -- Michael Biebl <biebl@debian.org>  Tue, 23 Jun 2015 02:00:58 +0200

polari (3.16.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends as per configure.ac:
    - Add appstream-util.
    - Bump libglib2.0-dev to (>= 2.43.4).
    - Bump libgtk-3-dev to (>= 3.15.6).

 -- Michael Biebl <biebl@debian.org>  Thu, 18 Jun 2015 18:36:44 +0200

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,15 @@
                dh-autoreconf,
                gnome-pkg-tools (>= 0.10),
                intltool (>= 0.50.0),
-               libglib2.0-dev (>= 2.41.0),
-               libgtk-3-dev (>= 3.13.4),
+               appstream-util,
+               libglib2.0-dev (>= 2.43.4),
+               libgtk-3-dev (>= 3.15.6),
                libtelepathy-glib-dev,
                gobject-introspection,
                libgirepository1.0-dev,
                desktop-file-utils,
                libxml2-utils,
-               gjs
+               gjs (>= 1.43.3)
 Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Apps/Polari
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/polari/
@@ -34,7 +35,7 @@
          telepathy-idle,
          telepathy-mission-control-5,
          telepathy-logger,
-         gjs
+         gjs (>= 1.43.3)
 Description: Internet Relay Chat (IRC) client
  Polari is an Internet Relay Chat (IRC) client designed for GNOME 3.

## polari 3.18.1

=== debian/changelog ===
polari (3.18.1-2) unstable; urgency=medium

  * Add patches from upstream fixing appdata syntax (Closes: #813874)
    - debian/patches/git-appdata-screenshots-master.patch
    - debian/patches/git-appdata-kudos.patch
    - debian/patches/git-appdata-0.7.patch
    - debian/patches/git-fix-appdata.patch

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 10 Feb 2016 00:35:27 +0100

polari (3.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Oct 2015 16:18:02 +0200

polari (3.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Oct 2015 23:36:35 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Shachnev <mitya57@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Brandon Snider <brandonjsnider@gmail.com>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Dmitry Shachnev <mitya57@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Brandon Snider <brandonjsnider@gmail.com>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                gnome-pkg-tools (>= 0.10),
@@ -23,7 +23,7 @@
 Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Apps/Polari
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/polari/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/polari/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/polari/
 
 Package: polari
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 override_dh_install:
 	# Since dh_install -X.la isn't working...
-	find -name *.la -delete
+	find debian/polari -name '*.la' -delete
 	dh_install -X.la
 
 override_dh_installchangelogs:

=== debian/watch ===
version=3
http://download.gnome.org/sources/polari/([\d\.]+[02468])/polari-(.*)\.tar\.xz

## polari 3.20.3

=== debian/changelog ===
polari (3.20.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop --disable-silent-rules from debian/rules. This is now handled by dh
    directly depending on whether the DH_QUIET environment variable is set.
  * Drop dh_auto_install override, no longer necessary.
  * Add Depends on libglib2.0-bin, for gapplication. (Closes: #835220)

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Aug 2016 18:41:35 +0200

polari (3.20.2-2) unstable; urgency=medium

  * Add missing Depends on gir1.2-secret-1. (Closes: #824388)
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 May 2016 18:25:43 +0200

polari (3.20.2-1) unstable; urgency=medium

  [ Brandon Snider ]
  * New upstream release.
  * debian/control.in: Removed polari-dbg package.
  * debian/rules: Ensure proper upgrade from polari-dbg to new dbgsym
    packages by using dh_strip --dbgsym-migration.
  * debian/control.in: Bump Build-Depends on debhelper to (>= 9.20160114) for
    "--dbgsym-migration" support.
  * debian/control.in: Bumped build-dep on libgtk-3-dev to (>= 3.19.12) to
    comply with configure.ac.
  * Added runtime dependency on gir1.2-gtk-3.0 (>= 3.19.12) to ensure proper
    gtk+3.0 version.
  * debian/control.in: Bumped runtime dep and build-dep on gjs to (>= 1.45.0).
    (Closes: #820795)

 -- Michael Biebl <biebl@debian.org>  Fri, 13 May 2016 22:00:07 +0200

polari (3.20.0-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Drop uploaders.mk from debian/rules as this breaks the clean target with
    dh. Instead use the gnome dh addon which updates debian/control via
    dh_gnome_clean.

  [ Brandon Snider ]
  * New upstream release.
  * debian/control.in: Bump Standards-Version to 3.9.7.
  * Deleted git-appdata-0.7.patch git-appdata-kudos.patch 
    git-appdata-screenshots-master.patch git-fix-appdata.patch. All applied
    in 3.20.

 -- Brandon Snider <brandonjsnider@gmail.com>  Sun, 10 Apr 2016 14:37:54 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: polari
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Brandon Snider <brandonjsnider@gmail.com>
Build-Depends: debhelper (>= 9.20160114),
               dh-autoreconf,
               gnome-pkg-tools (>= 0.10),
               intltool (>= 0.50.0),
               appstream-util,
               libglib2.0-dev (>= 2.43.4),
               libgtk-3-dev (>= 3.19.12),
               libtelepathy-glib-dev,
               gobject-introspection,
               libgirepository1.0-dev,
               desktop-file-utils,
               libxml2-utils,
               gjs (>= 1.45.0)
Standards-Version: 3.9.8
Homepage: https://wiki.gnome.org/Apps/Polari
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/polari/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/polari/

Package: polari
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends},
         gir1.2-telepathylogger-0.2,
         gir1.2-soup-2.4,
         gir1.2-gtk-3.0 (>= 3.19.12),
         gir1.2-secret-1,
         telepathy-idle,
         telepathy-mission-control-5,
         telepathy-logger,
         libglib2.0-bin (>= 2.40.0-3),
         gjs (>= 1.45.0)
Description: Internet Relay Chat (IRC) client
 Polari is an Internet Relay Chat (IRC) client designed for GNOME 3.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf,gnome,gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_install:
	# Since dh_install -X.la isn't working...
	find debian/polari -name '*.la' -delete
	dh_install -X.la

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_girepository:
	dh_girepository -X/usr/lib/$(DEB_HOST_MULTIARCH)/polari \
	-ldebian/polari/usr/share/polari/gir-1.0 \
	/usr/lib/$(DEB_HOST_MULTIARCH)/polari/ /usr/lib/$(DEB_HOST_MULTIARCH)/polari/girepository-1.0/

override_dh_strip:
	dh_strip --dbgsym-migration='polari-dbg (<< 3.20.2-1~)'

override_dh_makeshlibs:
	dh_makeshlibs -Xlibpolari-1.0.so

## polari 3.22.2

=== debian/changelog ===
polari (3.22.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Nov 2016 19:40:29 +0100

polari (3.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Oct 2016 18:04:55 +0200

polari (3.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Sep 2016 10:42:31 +0200

polari (3.21.92-1) unstable; urgency=medium

  * New upstream development release.
  * Bump Build-Depends on libgtk-3-dev and Depends on gir1.2-gtk-3.0 to
    (>= 3.21.6).

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Sep 2016 16:36:38 +0200

polari (3.21.91-1) unstable; urgency=medium

  [ Brandon Snider ]
  * New upstream beta release.
  * debian/control.in: Replaced build-dep intltool (>= 0.50.0) with
    gettext (>= 0.19.6).
  * debian/control.in: Bump build-dep on libgtk-3-dev to (>= 3.21.4).
  * debian/control.in: Bump runtime dep on gir1.2-gtk-3.0 to (>= 3.21.4).

  [ Michael Biebl ]
  * Add Build-Depends on yelp-tools.
  * Add explicit Build-Depends and Depends on gir packages which are not
    pulled in via the dev package and added via ${gir:Depends}. Upstream now
    checks for those explicitly via AX_CHECK_GIRS_GJS.
  * Enable all hardening flags.

 -- Michael Biebl <biebl@debian.org>  Tue, 06 Sep 2016 16:16:29 +0200

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,22 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Brandon Snider <brandonjsnider@gmail.com>
-Build-Depends: debhelper (>= 9.20160114),
-               dh-autoreconf,
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>, Brandon Snider <brandonjsnider@gmail.com>
+Build-Depends: debhelper (>= 10),
                gnome-pkg-tools (>= 0.10),
-               intltool (>= 0.50.0),
+               gettext (>= 0.19.6),
+               yelp-tools,
                appstream-util,
                libglib2.0-dev (>= 2.43.4),
-               libgtk-3-dev (>= 3.19.12),
+               libgtk-3-dev (>= 3.21.6),
                libtelepathy-glib-dev,
                gobject-introspection,
                libgirepository1.0-dev,
+               gir1.2-gdkpixbuf-2.0,
+               gir1.2-pango-1.0,
+               gir1.2-secret-1,
+               gir1.2-soup-2.4,
+               gir1.2-telepathylogger-0.2,
                desktop-file-utils,
                libxml2-utils,
                gjs (>= 1.45.0)
@@ -30,10 +35,12 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${gir:Depends},
+         gir1.2-gtk-3.0 (>= 3.21.6),
+         gir1.2-gdkpixbuf-2.0,
+         gir1.2-pango-1.0,
+         gir1.2-secret-1,
+         gir1.2-soup-2.4,
          gir1.2-telepathylogger-0.2,
-         gir1.2-soup-2.4,
-         gir1.2-gtk-3.0 (>= 3.19.12),
-         gir1.2-secret-1,
          telepathy-idle,
          telepathy-mission-control-5,
          telepathy-logger,

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,11 @@
 
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
 %:
-	dh $@ --parallel --with autoreconf,gnome,gir
+	dh $@ --with gnome,gir
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed

## polari 3.24.1

=== debian/changelog ===
polari (3.24.1-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 10 Apr 2017 21:08:00 -0400

polari (3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 20 Mar 2017 16:09:53 -0400

polari (3.23.92-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Mar 2017 13:48:43 -0400

polari (3.23.91-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * debian/control.in:
    - Depend on gir1.2-gspell-1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Mar 2017 21:25:53 -0500

polari (3.23.90-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-depend on libgspell-1-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Feb 2017 08:54:08 -0500

polari (3.23.2-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * debian/control.in:
    - Build-depend on libgjs-dev instead of gjs

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Feb 2017 19:32:25 -0500

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,16 @@
 Source: polari
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>, Brandon Snider <brandonjsnider@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Brandon Snider <brandonjsnider@gmail.com>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools (>= 0.10),
                gettext (>= 0.19.6),
                yelp-tools,
                appstream-util,
                libglib2.0-dev (>= 2.43.4),
+               libgspell-1-dev (>= 1.3.2),
                libgtk-3-dev (>= 3.21.6),
                libtelepathy-glib-dev,
                gobject-introspection,
@@ -24,7 +26,7 @@
                gir1.2-telepathylogger-0.2,
                desktop-file-utils,
                libxml2-utils,
-               gjs (>= 1.45.0)
+               libgjs-dev (>= 1.45.0)
 Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Apps/Polari
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/polari/
@@ -35,6 +37,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${gir:Depends},
+         gir1.2-gspell-1,
          gir1.2-gtk-3.0 (>= 3.21.6),
          gir1.2-gdkpixbuf-2.0,
          gir1.2-pango-1.0,

## polari 3.26.1

=== debian/changelog ===
polari (3.26.1-1) experimental; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 04 Oct 2017 13:27:10 -0400

polari (3.26.0-1) experimental; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Sep 2017 20:00:01 -0400

polari (3.25.92-1) experimental; urgency=medium

  * New upstream release.
  * debian/control.in: Removed build-dep on gjs.
  * debian/control.in: Bump build-dep on libgjs-dev to (>= 1.49.2).
  * debian/control.in: Removed build-dep on yelp-tools.
  * debian/control.in: Added build-dep on itstool.
  * debian/control.in: Bump runtime-dep on gjs to (>= 1.49.2).
  * debian/control.in: Added build-dep on meson.
  * debian/rules: Added --buildsystem=meson.
  * debian/rules: Removed dh_autoreconf override.
  * debian/rules: Removed dh_install override.

 -- Brandon Snider <brandonjsnider@gmail.com>  Tue, 05 Sep 2017 21:27:46 -0400

polari (3.24.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in: Bump build-dep on debhelper to (>= 10.3~).
  * debian/control.in: Added build-dep on libgjs-dev.
  * debian/control.in: Bump Standards-Version to 4.1.0.
  * debian/control.in: Added build-dep on gir1.2-gspell-1 (>= 1.5.4).

 -- Brandon Snider <brandonjsnider@gmail.com>  Thu, 13 Jul 2017 10:19:17 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: polari
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Brandon Snider <brandonjsnider@gmail.com>
Build-Depends: debhelper (>= 10.3~),
               gnome-pkg-tools (>= 0.10),
               gettext (>= 0.19.6),
               itstool,
               appstream-util,
               libgjs-dev (>= 1.49.2),
               libglib2.0-dev (>= 2.43.4),
               libgtk-3-dev (>= 3.21.6),
               libtelepathy-glib-dev,
               gobject-introspection,
               libgirepository1.0-dev,
               gir1.2-gdkpixbuf-2.0,
               gir1.2-pango-1.0,
               gir1.2-secret-1,
               gir1.2-soup-2.4,
               gir1.2-telepathylogger-0.2,
               gir1.2-gspell-1 (>= 1.5.4),
               desktop-file-utils,
               libxml2-utils,
               meson
Standards-Version: 4.1.1
Homepage: https://wiki.gnome.org/Apps/Polari
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/polari/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/polari/

Package: polari
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends},
         gir1.2-gtk-3.0 (>= 3.21.6),
         gir1.2-gdkpixbuf-2.0,
         gir1.2-gspell-1 (>= 1.5.4),
         gir1.2-pango-1.0,
         gir1.2-secret-1,
         gir1.2-soup-2.4,
         gir1.2-telepathylogger-0.2,
         telepathy-idle,
         telepathy-mission-control-5,
         telepathy-logger,
         libglib2.0-bin (>= 2.40.0-3),
         gjs (>= 1.49.2)
Description: Internet Relay Chat (IRC) client
 Polari is an Internet Relay Chat (IRC) client designed for GNOME 3.

=== debian/rules ===
--- 
+++ 
@@ -6,15 +6,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
 %:
-	dh $@ --with gnome,gir
-
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
-
-override_dh_install:
-	# Since dh_install -X.la isn't working...
-	find debian/polari -name '*.la' -delete
-	dh_install -X.la
+	dh $@ --with gnome,gir --buildsystem=meson
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

## polari 3.26.2

=== debian/changelog ===
polari (3.26.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 05 Nov 2017 13:09:39 -0500

polari (3.26.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 13 Oct 2017 16:59:13 -0400

## polari 3.28.0

=== debian/changelog ===
polari (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Tim Lunn <tim@feathertop.org>  Sun, 18 Mar 2018 19:54:43 +1100

polari (3.27.91-1) experimental; urgency=medium

  * New upstream development release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump minimum meson to 0.43.0
  * Bump debhelper compat to 11
  * Add lintian override for desktop-command-not-in-package

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 27 Feb 2018 08:26:53 -0500

polari (3.26.2-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Use debian/docs to install NEWS

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Dec 2017 20:37:05 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: polari
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Brandon Snider <brandonjsnider@gmail.com>
-Build-Depends: debhelper (>= 10.3~),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>, Brandon Snider <brandonjsnider@gmail.com>
+Build-Depends: debhelper (>= 11),
                gnome-pkg-tools (>= 0.10),
-               gettext (>= 0.19.6),
                itstool,
                appstream-util,
                libgjs-dev (>= 1.49.2),
@@ -26,11 +25,11 @@
                gir1.2-gspell-1 (>= 1.5.4),
                desktop-file-utils,
                libxml2-utils,
-               meson
-Standards-Version: 4.1.1
+               meson (>= 0.43.0),
+Standards-Version: 4.1.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/polari
+Vcs-Git: https://salsa.debian.org/gnome-team/polari.git
 Homepage: https://wiki.gnome.org/Apps/Polari
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/polari/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/polari/
 
 Package: polari
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,11 @@
 #!/usr/bin/make -f
-
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gnome,gir --buildsystem=meson
-
-override_dh_installchangelogs:
-	dh_installchangelogs NEWS
+	dh $@ --with gnome,gir
 
 override_dh_girepository:
 	dh_girepository -X/usr/lib/$(DEB_HOST_MULTIARCH)/polari \

## polari 3.30.1

=== debian/changelog ===
polari (3.30.1-1ubuntu1) cosmic; urgency=medium

  * Bump minimum gjs to 1.53.90
  * Add meson-Use-meson.project_name-instead-of-app_id-for-pots.patch:
    - Proposed patch to fix Ubuntu language pack issue

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 08 Oct 2018 17:24:40 -0400

polari (3.30.1-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 06 Oct 2018 14:52:39 -0400

polari (3.30.0-1) experimental; urgency=medium

  * New upstream release (Closes: #906214)
  * Add X-Ubuntu-Use-Langpack ddto opt in to Ubuntu language pack handling
    (LP: #1779574)
  * Bump Standards-Version to 4.2.1
  * Bump minimum gjs to 1.53.90

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 20 Sep 2018 12:03:23 -0400

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Source: polari
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>, Brandon Snider <brandonjsnider@gmail.com>
 Build-Depends: debhelper (>= 11),
                gnome-pkg-tools (>= 0.10),
                itstool,
                appstream-util,
-               libgjs-dev (>= 1.49.2),
+               libgjs-dev (>= 1.53.90),
                libglib2.0-dev (>= 2.43.4),
                libgtk-3-dev (>= 3.21.6),
                libtelepathy-glib-dev,
@@ -26,7 +27,8 @@
                desktop-file-utils,
                libxml2-utils,
                meson (>= 0.43.0),
-Standards-Version: 4.1.2
+Standards-Version: 4.2.1
+X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/polari
 Vcs-Git: https://salsa.debian.org/gnome-team/polari.git
 Homepage: https://wiki.gnome.org/Apps/Polari
@@ -47,7 +49,6 @@
          telepathy-mission-control-5,
          telepathy-logger,
          libglib2.0-bin (>= 2.40.0-3),
-         gjs (>= 1.49.2)
+         gjs (>= 1.53.90)
 Description: Internet Relay Chat (IRC) client
  Polari is an Internet Relay Chat (IRC) client designed for GNOME 3.
-

## polari 3.30.2

=== debian/changelog ===
polari (3.30.2-1) unstable; urgency=medium

  * New upstream release
    - Fix "Add Network" feature (LP: #1800450)
  * Cherry-pick meson-Use-meson.project_name-instead-of-app_id-for-pots.patch:
    - Fix Ubuntu language pack issue
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 02 Nov 2018 18:38:20 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: polari
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>, Brandon Snider <brandonjsnider@gmail.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>, Brandon Snider <brandonjsnider@gmail.com>
 Build-Depends: debhelper (>= 11),
                gnome-pkg-tools (>= 0.10),
                itstool,

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

## polari 3.32.0

=== debian/changelog ===
polari (3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Mar 2019 20:24:28 -0400

polari (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Drop patch: applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 07 Feb 2019 18:43:21 -0500

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,16 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>, Brandon Snider <brandonjsnider@gmail.com>
-Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools (>= 0.10),
+Build-Depends: debhelper-compat (= 12),
+               appstream-util <!nocheck>,
+               desktop-file-utils <!nocheck>,
+               dh-sequence-gir,
+               dh-sequence-gnome,
                itstool,
-               appstream-util,
                libgjs-dev (>= 1.53.90),
                libglib2.0-dev (>= 2.43.4),
                libgtk-3-dev (>= 3.21.6),
                libtelepathy-glib-dev,
-               gobject-introspection,
                libgirepository1.0-dev,
                gir1.2-gdkpixbuf-2.0,
                gir1.2-pango-1.0,
@@ -23,7 +24,6 @@
                gir1.2-soup-2.4,
                gir1.2-telepathylogger-0.2,
                gir1.2-gspell-1 (>= 1.5.4),
-               desktop-file-utils,
                libxml2-utils,
                meson (>= 0.43.0),
 Standards-Version: 4.2.1

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gnome,gir
+	dh $@
 
 override_dh_girepository:
 	dh_girepository -X/usr/lib/$(DEB_HOST_MULTIARCH)/polari \

## polari 3.34.0

=== debian/changelog ===
polari (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * Add Revert-main-Setup-GJS-profiler.patch:
    - This requires gjs 1.57 which isn't in Debian Unstable yet
  * Drop no-longer-needed dh_strip dbgsym migration rule
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Sep 2019 06:40:20 -0400

## polari 3.36.1

=== debian/changelog ===
polari (3.36.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 30 Mar 2020 20:59:16 -0400

polari (3.36.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimal version of meson
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/control.in: Set Rules-Requires-Root: no
  * Drop d/p/Revert-main-Setup-GJS-profiler.patch and bump gjs to 1.57.3 now
    that's in unstable

 -- Laurent Bigonville <bigon@debian.org>  Tue, 24 Mar 2020 12:33:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>, Brandon Snider <brandonjsnider@gmail.com>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>, Brandon Snider <brandonjsnider@gmail.com>
 Build-Depends: debhelper-compat (= 12),
                appstream-util <!nocheck>,
                desktop-file-utils <!nocheck>,
                dh-sequence-gir,
                dh-sequence-gnome,
                itstool,
-               libgjs-dev (>= 1.53.90),
+               libgjs-dev (>= 1.57.3),
                libglib2.0-dev (>= 2.43.4),
                libgtk-3-dev (>= 3.21.6),
                libtelepathy-glib-dev,
@@ -25,8 +25,9 @@
                gir1.2-telepathylogger-0.2,
                gir1.2-gspell-1 (>= 1.5.4),
                libxml2-utils,
-               meson (>= 0.43.0),
-Standards-Version: 4.2.1
+               meson (>= 0.51.0),
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/polari
 Vcs-Git: https://salsa.debian.org/gnome-team/polari.git
@@ -48,6 +49,6 @@
          telepathy-mission-control-5,
          telepathy-logger,
          libglib2.0-bin (>= 2.40.0-3),
-         gjs (>= 1.53.90)
+         gjs (>= 1.57.3)
 Description: Internet Relay Chat (IRC) client
  Polari is an Internet Relay Chat (IRC) client designed for GNOME 3.

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,5 @@
 	-ldebian/polari/usr/share/polari/gir-1.0 \
 	/usr/lib/$(DEB_HOST_MULTIARCH)/polari/ /usr/lib/$(DEB_HOST_MULTIARCH)/polari/girepository-1.0/
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='polari-dbg (<< 3.20.2-1~)'
-
 override_dh_makeshlibs:
 	dh_makeshlibs -Xlibpolari-1.0.so

## polari 3.38.0

=== debian/changelog ===
polari (3.38.0-2) unstable; urgency=medium

  * d/p/networks-Add-Libera-Chat.patch: Add Libera.chat network
  * d/p/favorite-liberachat.patch: Mark Libera Chat as favorite instead of
    Freenode

 -- Laurent Bigonville <bigon@debian.org>  Wed, 16 Jun 2021 12:46:04 +0200

polari (3.38.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 30 Sep 2020 18:52:45 -0400

polari (3.36.2-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 02 May 2020 20:05:10 -0400

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>, Brandon Snider <brandonjsnider@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Brandon Snider <brandonjsnider@gmail.com>
+Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
                desktop-file-utils <!nocheck>,
                dh-sequence-gir,

## polari 40.1

=== debian/changelog ===
polari (40.1-1) experimental; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * debian/control.in: Bump minimum gjs to 1.67.2
  * debian/control.in: Build-Depend on json-glib-tools for network list check

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 24 Aug 2021 19:07:05 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
                dh-sequence-gir,
                dh-sequence-gnome,
                itstool,
-               libgjs-dev (>= 1.57.3),
+               json-glib-tools <!nocheck>,
+               libgjs-dev (>= 1.67.2),
                libglib2.0-dev (>= 2.43.4),
                libgtk-3-dev (>= 3.21.6),
                libtelepathy-glib-dev,
@@ -49,6 +50,6 @@
          telepathy-mission-control-5,
          telepathy-logger,
          libglib2.0-bin (>= 2.40.0-3),
-         gjs (>= 1.57.3)
+         gjs (>= 1.67.2)
 Description: Internet Relay Chat (IRC) client
  Polari is an Internet Relay Chat (IRC) client designed for GNOME 3.

## polari 41.0

=== debian/changelog ===
polari (41.0-3) unstable; urgency=medium

  * Cherry-pick patch to fix build with latest meson (Closes: #1005544)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 16 Feb 2022 14:43:47 -0500

polari (41.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Oct 2021 19:23:21 -0400

polari (41.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Adjust the build-dependencies. Ported to GTK4
  * debian/control.in: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Oct 2021 12:41:08 +0200

polari (40.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 26 Aug 2021 17:26:13 -0400

=== debian/control ===
--- 
+++ 
@@ -14,20 +14,19 @@
                dh-sequence-gnome,
                itstool,
                json-glib-tools <!nocheck>,
-               libgjs-dev (>= 1.67.2),
+               libgjs-dev (>= 1.69.2),
                libglib2.0-dev (>= 2.43.4),
-               libgtk-3-dev (>= 3.21.6),
                libtelepathy-glib-dev,
                libgirepository1.0-dev,
                gir1.2-gdkpixbuf-2.0,
+               gir1.2-gtk-4.0,
                gir1.2-pango-1.0,
                gir1.2-secret-1,
                gir1.2-soup-2.4,
                gir1.2-telepathylogger-0.2,
-               gir1.2-gspell-1 (>= 1.5.4),
                libxml2-utils,
-               meson (>= 0.51.0),
-Standards-Version: 4.5.0
+               meson (>= 0.53.0),
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/polari
@@ -39,9 +38,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${gir:Depends},
-         gir1.2-gtk-3.0 (>= 3.21.6),
+         gir1.2-gtk-4.0,
          gir1.2-gdkpixbuf-2.0,
-         gir1.2-gspell-1 (>= 1.5.4),
          gir1.2-pango-1.0,
          gir1.2-secret-1,
          gir1.2-soup-2.4,
@@ -50,6 +48,6 @@
          telepathy-mission-control-5,
          telepathy-logger,
          libglib2.0-bin (>= 2.40.0-3),
-         gjs (>= 1.67.2)
+         gjs (>= 1.69.2)
 Description: Internet Relay Chat (IRC) client
  Polari is an Internet Relay Chat (IRC) client designed for GNOME 3.

## polari 43.0

=== debian/changelog ===
polari (43.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum gjs to 1.73.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 10 Oct 2022 16:58:58 -0400

polari (42.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in: Build-Depend on gtk-update-icon-cache

  [ Debian Janitor ]
  * Set upstream metadata fields

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Jul 2022 14:58:01 -0400

polari (42.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Depend on gir1.2-adw-1
  * debian/control.in: Drop unused Build-Depends
  * Drop patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 08:54:56 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: polari
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>, Brandon Snider <brandonjsnider@gmail.com>
Build-Depends: debhelper-compat (= 13),
               appstream-util <!nocheck>,
               desktop-file-utils <!nocheck>,
               dh-sequence-gir,
               dh-sequence-gnome,
               gtk-update-icon-cache,
               itstool,
               libgjs-dev (>= 1.73.1),
               libglib2.0-dev (>= 2.43.4),
               libtelepathy-glib-dev,
               libgirepository1.0-dev,
               libxml2-utils,
               meson (>= 0.53.0),
Standards-Version: 4.6.0
Rules-Requires-Root: no
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/polari
Vcs-Git: https://salsa.debian.org/gnome-team/polari.git
Homepage: https://wiki.gnome.org/Apps/Polari

Package: polari
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends},
         gir1.2-adw-1,
         gir1.2-gtk-4.0,
         gir1.2-gdkpixbuf-2.0,
         gir1.2-pango-1.0,
         gir1.2-secret-1,
         gir1.2-soup-2.4,
         gir1.2-telepathylogger-0.2,
         telepathy-idle,
         telepathy-mission-control-5,
         telepathy-logger,
         libglib2.0-bin (>= 2.40.0-3),
         gjs (>= 1.73.1)
Description: Internet Relay Chat (IRC) client
 Polari is an Internet Relay Chat (IRC) client designed for GNOME 3.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
 
 %:
 	dh $@

## polari 45.0

=== debian/changelog ===
polari (45.0-3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:17:35 +1100

polari (45.0-3build2) noble; urgency=medium

  * No-change rebuild against libtelepathy-glib0t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 21 Mar 2024 16:17:33 +1300

polari (45.0-3build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:42:19 +0000

polari (45.0-3) unstable; urgency=medium

  * Drop erroneous nocheck annotation from desktop-file-utils dependency
    (Closes: #1062781)
  * Add Build-Depends: json-glib-tools for build tests
  * Update syntax for lintian override

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Feb 2024 11:27:02 -0500

polari (45.0-2) unstable; urgency=medium

  [ Nathan Pratta Teodosio ]
  * Change dependency version: Soup 2.4 -> 3.0 (Closes: #1031563)

  [ Jeremy Bícha ]
  * Mention GNOME Circle in package description
  * Stop using debian/control.in and dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 20 Jan 2024 10:20:42 -0500

polari (45.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libadwaita to 1.4~beta
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 08:51:46 -0400

=== debian/control ===
Source: polari
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>, Brandon Snider <brandonjsnider@gmail.com>
Build-Depends: debhelper-compat (= 13),
               appstream-util <!nocheck>,
               desktop-file-utils,
               dh-sequence-gir,
               gtk-update-icon-cache,
               itstool,
               json-glib-tools <!nocheck>,
               libgjs-dev (>= 1.73.1),
               libglib2.0-dev (>= 2.43.4),
               libtelepathy-glib-dev,
               libgirepository1.0-dev,
               libxml2-utils,
               meson (>= 0.53.0),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/polari
Vcs-Git: https://salsa.debian.org/gnome-team/polari.git
Homepage: https://wiki.gnome.org/Apps/Polari

Package: polari
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends},
         gir1.2-adw-1 (>= 1.4~beta),
         gir1.2-gtk-4.0,
         gir1.2-gdkpixbuf-2.0,
         gir1.2-pango-1.0,
         gir1.2-secret-1,
         gir1.2-soup-3.0,
         gir1.2-telepathylogger-0.2,
         telepathy-idle,
         telepathy-mission-control-5,
         telepathy-logger,
         libglib2.0-bin (>= 2.40.0-3),
         gjs (>= 1.73.1)
Description: Internet Relay Chat (IRC) client
 Polari is an Internet Relay Chat (IRC) client designed for GNOME.
 .
 Polari is a GNOME Circle app.
